Subject: Re: bug#69683: 28.2; eglot overrides imenu without fallback even when unsupported by server

From: Phil Hagelberg <[email-masked]>
Date: Sun, 10 Mar 2024 12:27:26 -0700

Felician Nemeth <[email-masked]> writes:

> I'm surprised to see this error message since eglot-imenu starts with
> this:
>
> (cl-defun eglot-imenu ()
>   (unless (eglot-server-capable :documentSymbolProvider)
>     (cl-return-from eglot-imenu))
>
> That is if the LSP server does not have the necessary capability it
> doesn't send any jsonrpc messages to the server that would lead to the
> error above.  (And it falls back to normal imenu.)

Apologies--I pulled down the latest emacs from git to test this with,
but I forgot to test with -Q, and so I accidentally loaded an older
version of eglot.el that I had on my load-path.

You're correct, and this bug has actually already been fixed. My bad!

This bug report can be closed as invalid.

-Phil